# Gimp.temp_directory

    @returns(unicode)
    def temp_directory():
        # Python wrapper for gimp_temp_directory()

Returns the default top directory for GIMP temporary files. If the environment variable GIMP3_TEMPDIR exists, that is used. It should be an absolute pathname. Otherwise, a subdirectory of the directory returned by g_get_tmp_dir() is used.

In config files such as gimprc, the string ${gimp_temp_dir} expands to this directory.

Note that the actual directories used for GIMP temporary files can be overridden by the user in the preferences dialog.

The returned string is owned by GIMP and must not be modified or freed. The returned string is in the encoding used for filenames by GLib, which isn't necessarily UTF-8. (On Windows it always is UTF-8.).

Since 2.10.10

Returns